/*
 * Class created by lensfrex.
 */

package cn.wustlinghang.wusthelper.internal.rpc.response;

public enum RpcCommonResponseCode {
    SUCCESS(20000, "成功"),
    REQUEST_TOO_FAST(20001, "技能冷却中..."),
    INVALID_REQUEST(30000, "非法请求"),
    PARAM_WRONG(30001, "参数错误"),
    PERMISSION_DENIED(40000, "权限不足"),
    TOKEN_EXPIRED(40001, "token过期"),
    TOKEN_INVALID(40002, "token无效"),
    SERVER_INTERNAL_ERROR(50000, "服务器内部错误"),
    API_NOT_IMPLEMENT(0, "接口未实现"),;

    private final int code;

    private final String message;

    RpcCommonResponseCode(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}