/*
 * Class created by lensfrex.
 */

package cn.wustlinghang.wusthelper.main.response;

public enum ResponseCode {
    SUCCESS(0, "成功"),
    SERVER_INTERNAL_ERROR(-2, "服务器内部错误"),
    API_NOT_IMPLEMENT(-1, "接口未实现");

    private final int code;

    private final String message;

    ResponseCode(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}