package cn.wustlinghang.internal.api.v1;

import cn.wustlinghang.internal.api.v1.response.FrpPluginResponse;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/internal/frp")
public class FrpPluginHandler {
    @RequestMapping("/handler")
    public FrpPluginResponse handle(String request) {
        log.info(request);
        return FrpPluginResponse.builder()
                .reject(false)
                .unchange(true)
                .build();
    }
}
