package cn.wustlinghang.wusthelper.internal.undergrad.rpc.config;

import jakarta.inject.Singleton;
import jakarta.ws.rs.DefaultValue;
import lombok.Data;
import org.eclipse.microprofile.config.inject.ConfigProperty;

@Data
@Singleton
public class FrpConfig {
    @DefaultValue("http://127.0.0.1:7400")
    @ConfigProperty(name = "frpc.admin-api.address")
    String frpcAdminAddress;

    @DefaultValue("")
    @ConfigProperty(name = "frpc.admin.username")
    String frpcAdminUsername;

    @DefaultValue("")
    @ConfigProperty(name = "frpc.admin.password")
    String frpcAdminPassword;
}
