package cn.wustlinghang.wusthelper.internal.undergrad.rpc.config;

import jakarta.inject.Singleton;
import jakarta.ws.rs.DefaultValue;
import lombok.Data;
import org.eclipse.microprofile.config.inject.ConfigProperty;

@Data
@Singleton
public class RpcConfig {
    @DefaultValue("default.service")
    @ConfigProperty(name = "rpc.service.name")
    String serviceName;

    @DefaultValue("http://127.0.0.1:8500")
    @ConfigProperty(name = "rpc.register.consul-api.address")
    String consulAddress;
}
